CognitiveX Docs
API

PATCH /api/circles/{circle_id}

Update Circle

PATCH /api/circles/{circle_id}

Update Circle

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Parameters

NameInTypeRequiredDescription
circle_idpathstringYes-
X-Org-IDheaderstring | nullNo-

Request body

A JSON request body is required.

FieldTypeRequiredDescription
namestring | nullNo-
subjectstring | nullNo-
descriptionstring | nullNo-
visibilitystring | nullNo-
member_limitinteger | nullNo-
budget_tokens_monthlyinteger | nullNo-

Example request

curl -X PATCH https://api.cognitivx.io/api/circles/{circle_id} \
  -H "Authorization: Bearer icog_..." \
  -H "Content-Type: application/json" \
  -d '{
    "name": "production",
    "subject": null,
    "description": null,
    "visibility": null,
    "member_limit": null,
    "budget_tokens_monthly": null
  }'

Example response

200 application/json

{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "production",
  "subject": "string",
  "description": null,
  "visibility": "string",
  "avatar_url": "https://example.com",
  "member_count": 0,
  "role": null,
  "owner_username": "production",
  "budget_tokens_monthly": null,
  "budget_used_tokens": 0,
  "created_at": "2026-06-16T08:30:00Z",
  "updated_at": "2026-06-16T08:30:00Z"
}

Responses

StatusDescription
200Success. Returns the response body shown below.
422Request validation failed. detail lists each offending field.